# gdcm::Dicts Class Reference

Class to manipulate the sum of knowledge (all the dict user load). More...

`#include <gdcmDicts.h>`

Collaboration diagram for gdcm::Dicts:
[legend]

List of all members.

## Public Member Functions
| Dicts ()
| ~Dicts ()
const CSAHeaderDict & | GetCSAHeaderDict () const
const DictEntry & | GetDictEntry (const Tag &tag, const char *owner=NULL) const
const PrivateDict & | GetPrivateDict () const
const Dict & | GetPublicDict () const
bool | IsEmpty () const
## Protected Types
enum | ConstructorType { PHILIPS, GEMS, SIEMENS }
## Protected Member Functions
void | LoadDefaults ()
## Static Protected Member Functions
static const char * | GetConstructorString (ConstructorType type)
## Friends
class | Global
std::ostream & | operator<< (std::ostream &_os, const Dicts &d)

## Detailed Description

Class to manipulate the sum of knowledge (all the dict user load).

Note:
  bla

Examples:

  PublicDict.cxx.

## Member Enumeration Documentation

enum gdcm::Dicts::ConstructorType`[protected]`

Enumerator:

  PHILIPS |
  GEMS |
  SIEMENS |

## Constructor & Destructor Documentation

gdcm::Dicts::Dicts | ( |  | ) |

gdcm::Dicts::~Dicts | ( |  | ) |

## Member Function Documentation

static const char* gdcm::Dicts::GetConstructorString | ( | ConstructorType | type | ) | `[static, protected]`

const CSAHeaderDict& gdcm::Dicts::GetCSAHeaderDict | ( |  | ) | const

const DictEntry& gdcm::Dicts::GetDictEntry | ( | const Tag & | tag,
|  | const char * | owner = `NULL` |
| ) |  |  | const

works for both public and private dicts: owner is null for public dict

Warning:
  owner need to be set to appropriate owner for call to work. see

Examples:
  PublicDict.cxx.

const PrivateDict& gdcm::Dicts::GetPrivateDict | ( |  | ) | const

const Dict& gdcm::Dicts::GetPublicDict | ( |  | ) | const

Examples:
  PublicDict.cxx.

bool gdcm::Dicts::IsEmpty | ( |  | ) | const`[inline]`

References gdcm::Dict::IsEmpty().

void gdcm::Dicts::LoadDefaults | ( |  | ) | `[protected]`

## Friends And Related Function Documentation

friend class Global`[friend]`

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Dicts & | d |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmDicts.h